Skip to content
Ona Docs

ListSSOConfigurations

client.organizations.ssoConfigurations.list(SSOConfigurationListParams { organizationId, token, pageSize, pagination } params, RequestOptionsoptions?): SSOConfigurationsPage<SSOConfiguration { id, issuerUrl, organizationId, 9 more } >
POST/gitpod.v1.OrganizationService/ListSSOConfigurations

Lists and filters SSO configurations for an organization.

Use this method to:

  • View all SSO providers
  • Monitor authentication status
  • Audit security settings
  • Manage provider configurations

Examples

  • List active configurations:

    Shows all active SSO providers.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    pagination:
      pageSize: 20
  • List by provider type:

    Shows custom SSO configurations.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
    pagination:
      pageSize: 20
      token: "next-page-token-from-previous-response"
ParametersExpand Collapse
params: SSOConfigurationListParams { organizationId, token, pageSize, pagination }
organizationId: string

Body param: organization_id is the ID of the organization to list SSO configurations for.

formatuuid
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
ReturnsExpand Collapse
SSOConfiguration { id, issuerUrl, organizationId, 9 more }
id: string

id is the unique identifier of the SSO configuration

formatuuid
issuerUrl: string

issuer_url is the URL of the IdP issuer

organizationId: string
formatuuid
providerType: ProviderType

provider_type defines the type of the SSO configuration

One of the following:
"PROVIDER_TYPE_UNSPECIFIED"
"PROVIDER_TYPE_BUILTIN"
"PROVIDER_TYPE_CUSTOM"

state is the state of the SSO configuration

One of the following:
"SSO_CONFIGURATION_STATE_UNSPECIFIED"
"SSO_CONFIGURATION_STATE_INACTIVE"
"SSO_CONFIGURATION_STATE_ACTIVE"
additionalScopes?: Array<string>

additional_scopes are extra OIDC scopes requested from the identity provider during sign-in.

claims?: Record<string, string>

claims are key/value pairs that defines a mapping of claims issued by the IdP.

claimsExpression?: string

claims_expression is a CEL (Common Expression Language) expression evaluated against the OIDC token claims during login. When set, the expression must evaluate to true for the login to succeed. The expression has access to a claims variable containing all token claims as a map. Example: claims.email_verified && claims.email.endsWith("@example.com")

maxLength4096
clientId?: string

client_id is the client ID of the OIDC application set on the IdP

displayName?: string
maxLength128
emailDomain?: string
emailDomains?: Array<string>

ListSSOConfigurations

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const ssoConfiguration of client.organizations.ssoConfigurations.list({
  organizationId: 'b0e12f6c-4c67-429d-a4a6-d9838b5da047',
  pagination: { pageSize: 20 },
})) {
  console.log(ssoConfiguration.id);
}
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "ssoConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "issuerUrl": "issuerUrl",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "providerType": "PROVIDER_TYPE_UNSPECIFIED",
      "state": "SSO_CONFIGURATION_STATE_UNSPECIFIED",
      "additionalScopes": [
        "string"
      ],
      "claims": {
        "foo": "string"
      },
      "claimsExpression": "claimsExpression",
      "clientId": "clientId",
      "displayName": "displayName",
      "emailDomain": "emailDomain",
      "emailDomains": [
        "sfN2.l.iJR-BU.u9JV9.a.m.o2D-4b-Jd.0Z-kX.L.n.S.f.UKbxB"
      ]
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "ssoConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "issuerUrl": "issuerUrl",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "providerType": "PROVIDER_TYPE_UNSPECIFIED",
      "state": "SSO_CONFIGURATION_STATE_UNSPECIFIED",
      "additionalScopes": [
        "string"
      ],
      "claims": {
        "foo": "string"
      },
      "claimsExpression": "claimsExpression",
      "clientId": "clientId",
      "displayName": "displayName",
      "emailDomain": "emailDomain",
      "emailDomains": [
        "sfN2.l.iJR-BU.u9JV9.a.m.o2D-4b-Jd.0Z-kX.L.n.S.f.UKbxB"
      ]
    }
  ]
}